%global srcname vsc-install
# Does not work
# https://github.com/hpcugent/vsc-base/issues/231
%global with_python3 0

Name:           python-%{srcname}
Version:        0.10.26
Release:        1%{?dist}
Summary:        Shared setuptools functions and classes for python libraries developed by UGent's HPC group

License:        LGPLv2+
URL:            https://github.com/hpcugent/%{srcname}
Source0:        https://files.pythonhosted.org/packages/source/v/%{srcname}/%{srcname}-%{version}.tar.gz
#Source0:        https://github.com/hpcugent/%{srcname}/archive/%{version}/%{srcname}-%{version}.tar.gz

BuildArch:      noarch

%description
vsc-install provides shared setuptools functions and classes for python
libraries developed by UGent's HPC group.

%package -n python2-%{srcname}
Summary:        %{summary}
BuildRequires:  python2-devel
BuildRequires:  python-setuptools
# For tests
# Not yet packaged
#BuildRequires:  python2-prospector
BuildRequires:  python2-pylint
%{?python_provide:%python_provide python2-%{srcname}}

%description -n python2-%{srcname}
vsc-install provides shared setuptools functions and classes for python
libraries developed by UGent's HPC group.

%if 0%{?with_python3}
%package -n python%{python3_pkgversion}-%{srcname}
Summary:        %{summary}
BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-setuptools
# For tests
# Not yet packaged
#BuildRequires:  python%{python3_pkgversion}-prospector
BuildRequires:  python%{python3_pkgversion}-pylint
%{?python_provide:%python_provide python%{python3_pkgversion}-%{srcname}}

%description -n python%{python3_pkgversion}-%{srcname}
vsc-install provides shared setuptools functions and classes for python
libraries developed by UGent's HPC group.
%endif


%prep
%setup -q -n %{srcname}-%{version}
touch PKG-INFO


%build
%py2_build
%if 0%{?with_python3}
%py3_build
%endif


%install
%py2_install
%if 0%{?with_python3}
%py3_install
%endif


%check
# Fails - https://github.com/hpcugent/vsc-install/issues/7
%__python2 setup.py test || :
%if 0%{?with_python3}
%__python3 setup.py test || :
%endif

 
%files -n python2-%{srcname}
%doc README.md
%license LICENSE
%{_bindir}/python-noenv
%{_bindir}/python-stripped-env
%{python2_sitelib}/*

%if 0%{?with_python3}
%files -n python%{python3_pkgversion}-%{srcname}
%doc README.md
%license LICENSE
%{python3_sitelib}/*
%endif


%changelog
* Tue Nov 21 2017 Orion Poplawski <orion@cora.nwra.com> - 0.10.26-1
- Update to 0.10.26

* Thu Mar 9 2017 Orion Poplawski <orion@cora.nwra.com> - 0.10.23-1
- Initial package
